Package ru.bitel.bgbilling.plugins.gar.common.bean

# Class GarAddressHouse

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressHouse

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class GarAddressHouse extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarAddressHouse()`
  `GarAddressHouse(int id, String title, long streetId, String postIndex, String cadastralNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCadastralNumber()`
  `String`
  `getPostIndex()`
  `long`
  `getStreetId()`
  `void`
  `setCadastralNumber(String cadastralNumber)`
  `void`
  `setPostIndex(String postIndex)`
  `void`
  `setStreetId(long streetId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GarAddressHouse

    public GarAddressHouse()

  - ### GarAddressHouse

    public GarAddressHouse(int id, String title, long streetId, String postIndex, String cadastralNumber)

- ## Method Details

  - ### getStreetId

    public long getStreetId()

  - ### setStreetId

    public void setStreetId(long streetId)

  - ### getPostIndex

    public String getPostIndex()

  - ### setPostIndex

    public void setPostIndex(String postIndex)

  - ### getCadastralNumber

    public String getCadastralNumber()

  - ### setCadastralNumber

    public void setCadastralNumber(String cadastralNumber)